Genlib Tab

From TNG_Wiki
Jump to: navigation, search
Ambox notice.png The Genlib Tab is no longer needed since the code is now part of TNG 9.1 and above. This mod is only valid for
TNG version: 9.0.4
TNG version: 9.0
TNG 9.0



Genlib Tab
Summary This mod enables the concurrent installation of multiple tab mods.
Validation The mod is XHTML compliant.Valid-xhtml10.png
Mod Updated {{{mod_last_update}}}
Download link  
TNG 9.0

genlib_tab_v9.0.0.2.zip
 

TNG 9.1
genlib_tab_v9.1.0.1.zip
Download stats See download statistics
Author(s) Bart 'Roebie' Degryse
Homepage Genlib Tab
Mod Support TNG Community Forums
Contact Developer
Latest Mod 9.0.0.2 for TNG v9.0
9.1.0.1 for TNG v9.1 beta 3
Min TNG V 9.0.0
Max TNG V 9.1.0 beta 3
Files modified
genlib.php
getperson.php
Related Mods
Notes


Purpose of the mod

This mod will make a change to genlib.php and getperson.php so that both the FGW Tabs Mod and the Submit Photo Tab Mod (and other tab mods) can be installed concurrently.


Developer

This mod was developed by Bart 'Roebie' Degryse.


WARNING

This mod is only needed for following TNG versions:

  • 9.0.X (9.0.0, 9.0.1, 9.0.2, 9.0.3, 9.0.4)
  • 9.1.0 BETA (beta1, beta2, beta3, beta4)

This mod has no visual nor functional impact on TNG. It merely changes how some things are coded making it possible to have more than one mod installed that adds a tab on the getperson page. After installing this mod you will still have to download and install such mods (e.g. FGW Tabs Mod and Submit Photo Tab Mod)

Only versions of FGW Tabs Mod and Submit Photo Tab Mod released on 23 Oct 2012 or later will work correctly with this mod. Version 9.0.0.5 (or higher) of the FGW Tabs Mod and version 9.0.0.1 (or higher) of the Submit Photo Tab Mod are the first ones compatible with this mod and they are both available for download on their wiki page.


Requirements

  • A working TNG installation.
  • A backup of all affected files (see the list in the summary in the upper right corner of the page)
  • An installed current version of the Mod Manager (is already included in TNG v9)


Installation

  1. Uninstall and remove any tab mods you have already installed.
  2. Download the appropriate zip file as shown in the summary in the upper right corner of the page.
  3. Extract the config file from the downloaded zip file into the mods folder.
  4. Follow the normal automated installation for Mod Manager, as shown in the example Mod Manager - Installing Config Files to install the mod.
  5. Now install the tab mods you need using the newest version from their wiki page.

Note that any tab mod you have in your mods folder will show a Bad target error in the Mod Manager until you have effectively installed the Genlib Tab mod.


In the event of a problem

  • Try using the Mod Manager Remove capability.
  • Copy the backup of the affected files back to your TNG directory.


Revision History

Version Release Date Contents
v9.0.0.2 10 November 2012 Fixes the genlib.php: Location5: Bad target error some people get. Thanks for the fix Jeff!
v9.1.0.1 7 November 2012 Some of this mod's code has been adopted by TNG 9.1.0 beta and has thus been removed from the mod. Darrin has also promised to add the remainder to TNG. So this mod is soon to become obsolete.
v9.0.0.0 23 October 2012 Initial config file release


Sites using this mod

If you download and install this mod, please add your TNG site to the table below:

URL User Note Mod-Version TNG-Version User-language
no public site Bart 'Roebie' Degryse Mod developer v9.1.0.1 TNG 9.1.0 beta 3 NL/EN/ES/FR
Robison and Blythe Genealogy Jeff Robison Works great! Easy to add a tab via a mod. v9.0.0.0 V9.1.0 beta English
A Bisbee Family History Rick Bisbee v9.0.0.0 V9.0.4 English
Chambers Family Ancestry Tom Chambers After uploading this mod, follow the instructions in your Mod Manager/Description/Notes. Works flawlessly. v9.0.0.0 V9.0.3 EN